Autopilot tests depend on qt4

Bug #1429158 reported by Leo Arias on 2015-03-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
camera-app
Confirmed
Medium
Unassigned
address-book-app (Ubuntu)
Medium
Unassigned
camera-app (Ubuntu)
Medium
Unassigned
click-update-manager (Ubuntu)
Undecided
Unassigned
cordova-ubuntu (Ubuntu)
Undecided
Unassigned
gallery-app (Ubuntu)
Undecided
Unassigned
indicator-network (Ubuntu)
Low
Unassigned
mediaplayer-app (Ubuntu)
Undecided
Unassigned
notes-app (Ubuntu)
Undecided
Unassigned
ubuntu-html5-theme (Ubuntu)
Undecided
Alexandre Abreu
ubuntu-keyboard (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
Undecided
Unassigned
ubuntu-ui-toolkit (Ubuntu)
Undecided
Unassigned
ubuntuone-credentials (Ubuntu)
High
dobey
unity-scope-click (Ubuntu)
High
dobey
unity-webapps-qml (Ubuntu)
Undecided
Alexandre Abreu
unity8 (Ubuntu)
Undecided
Leo Arias

Bug Description

When installing the autopilot tests, they bring qt4 dependencies that are unnecessary.

The package with the autopilot tests depends on libautopilot-qt, which installs both autopilot-qt4 and autopilot-qt5.

We can remove that dependency and add autopilot-qt5 and qttestability-autopilot instead.

Related branches

Leo Arias (elopio) wrote :

libautopilot-qt
Reverse Depends:
  qttestability-autopilot:i386
  qttestability-autopilot:i386
  libautopilot-qt:i386
  autopilot-qt5:i386
  autopilot-qt5:i386
  autopilot-qt4:i386
  autopilot-qt4:i386
  unity8-autopilot
  unity-webapps-qml-autopilot
  unity-scope-click-autopilot
  ubuntuone-credentials-autopilot
  ubuntu-system-settings-autopilot
  ubuntu-keyboard-autopilot
  ubuntu-html5-ui-toolkit-autopilot
  ubuntu-html5-container-autopilot
  reminders-app-autopilot
  qttestability-autopilot
  qttestability-autopilot
  python3-autopilot-tests
  python3-autopilot
  python3-autopilot
  python-autopilot-tests
  python-autopilot
  python-autopilot
  notes-app-autopilot
  mediaplayer-app-autopilot
  libautopilot-qt-autopilot
  indicator-network-autopilot
  gallery-app-autopilot
  friends-app-autopilot
  cordova-ubuntu-autopilot
  click-update-manager-autopilot
  camera-app-autopilot
  autopilot-touch-legacy
  autopilot-qt5
  autopilot-qt5
  autopilot-qt4
  autopilot-qt4
  address-book-app-autopilot

Leo Arias (elopio) on 2015-03-06
Changed in unity8 (Ubuntu):
assignee: nobody → Leo Arias (elopio)
status: New → In Progress
Changed in ubuntu-html5-theme (Ubuntu):
assignee: nobody → Alexandre Abreu (abreu-alexandre)
Changed in unity-webapps-qml (Ubuntu):
assignee: nobody → Alexandre Abreu (abreu-alexandre)
dobey (dobey) on 2015-03-09
Changed in unity-scope-click (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → High
status: New → In Progress
Changed in ubuntuone-credentials (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-scope-click - 0.1.1+15.04.20150310-0ubuntu1

---------------
unity-scope-click (0.1.1+15.04.20150310-0ubuntu1) vivid; urgency=medium

  [ Rodney Dawes ]
  * Update autopilot dependencies for the autopilot tests package. (LP:
    #1429158)
 -- CI Train Bot <email address hidden> Tue, 10 Mar 2015 19:01:19 +0000

Changed in unity-scope-click (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-credentials - 14.04+15.04.20150310

---------------
ubuntuone-credentials (14.04+15.04.20150310) vivid; urgency=medium

  [ Rodney Dawes ]
  * Update autopilot dependencies for the autopilot tests package. (LP:
    #1429158)
 -- CI Train Bot <email address hidden> Tue, 10 Mar 2015 19:00:56 +0000

Changed in ubuntuone-credentials (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.02+15.04.20150318-0ubuntu1

---------------
unity8 (8.02+15.04.20150318-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Add some context to tr calls (LP: #1431497)
  * Require binaries and .pc files we call from code
  * Test: More stubborn flick to the end

  [ Andrea Cimitan ]
  * Refactor PreviewOverlay to fix weird zoom out/in animations when
    previewing images from the Previews

  [ CI Train Bot ]
  * Resync trunk.

  [ Charles Kerr ]
  * Re-enable a rotation lock test now that the bug that broke that test
    has been fixed. (LP: #1410915)

  [ Daniel d'Andrada ]
  * Darkened area behind indicators menu should eat input until it fully
    disappears (LP: #1417967)
  * DesktopStage - fix focus switch when user taps on window (LP:
    #1431325)
  * Fix warnings when launching tutorial
  * Make MouseTouchAdaptor controllable from within QML
  * Make tst_Shell absorb tst_TabletShell

  [ Leo Arias ]
  * Changed the autopilot dependencies so they do not require qt4. (LP:
    #1429158)
  * Drop the support for python2 in autopilot tests. (LP: #1429163)
  * Stop using the deprecated toolkit emulators namespace in autopilot
    tests. (LP: #1341681)

  [ Michael Terry ]
  * Don't close wizard & edge tutorial when the unity8-dash closes (LP:
    #1425484)
  * Don't let the wizard sit indefinitely, waiting for a wizard page to
    finish preparing itself. (LP: #1425737)
  * Fix two broken qmluitest files by waiting for everything to settle
    before starting the tests.
  * Only call unlockAllModems once the wizard is done. (LP: #1425161)
    (LP: #1425161)
  * When we are locking the user out from too many login failures,
    notice when time passes even if the device is suspended. (LP:
    #1396817) (LP: #1396817)

  [ Michael Zanetti ]
  * Add a mouse area to the indicators panel so we can open them by
    clicking. (LP: #1417650)
  * fix launcher not reacting to first click when revealed by mouse
    hover, add tests
  * performance improvements (LP: #1430233, #1425087)

  [ Michał Sawicz ]
  * Remove the activity indicator from tests
  * Use targets instead of custom ld arguments for linking

  [ Mirco Müller ]
  * Updated the visuals of the SwipeToAct-widget for incoming-call snap-
    decision notifications according to new design-spec.
  * Updated the visuals of the SwipeToAct-widget for incoming-call snap-
    decision notifications according to new design-spec.
 -- CI Train Bot <email address hidden> Wed, 18 Mar 2015 10:19:06 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Changed in camera-app:
importance: Undecided → Medium
status: New → Confirmed
Changed in indicator-network (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in address-book-app (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in camera-app (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
dobey (dobey) wrote :

Setting to fix released in indicator-network as looking at debian/control this is no longer an issue.

Changed in indicator-network (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers